package com.dxhy.admin.sys.service;

import java.util.Map;

import com.alibaba.fastjson.JSONObject;
import com.baomidou.mybatisplus.extension.service.IService;
import com.dxhy.admin.sys.entity.SysUserEntity;
import com.dxhy.common.utils.PageUtils;

/**
 * 系统用户
 *
 * @author jiaohongyang
 */
public interface SellerUserService extends IService<SysUserEntity> {

    /**
     * 获取用户信息
     *
     * @param params
     *            入参
     * @return 返回
     */
    PageUtils queryPage(Map<String, Object> params);

    /**
     * 获取未关联集团信息
     *
     * @param params
     *            入参
     * @return 返回
     */
    PageUtils queryNoBindCompany(Map<String, Object> params);

    /**
     * 列表头
     *
     * @return 返回
     */
    JSONObject getUserTitle();

    /**
     * 列表头
     *
     * @return 返回
     */
    JSONObject getCompanyTitle();

    /**
     * 集团信息
     *
     * @param params
     *            入参
     * @return 返回
     */
    PageUtils queryBindCompany(Map<String, Object> params);

    /**
     * 关联集团信息
     *
     * @param params
     *            入参
     * @return 返回
     */
    boolean bindCompany(Map<String, Object> params);

    /**
     * 删除关联信息
     *
     * @param params
     *            入参
     * @return 返回
     */
    boolean cancelBindCompany(Map<String, Object> params);
}
